Interlaken
API referenceComputeContainers

Containers

22 operations.

List containers

GET /api/v1/containers

Create a container

POST /api/v1/containers

Get a container

GET /api/v1/containers/{id}

Update a container

PUT /api/v1/containers/{id}

Delete a container

DELETE /api/v1/containers/{id}

Get a container's activity feed (reconciler event log)

GET /api/v1/containers/{id}/activity

List databases attached to a container

GET /api/v1/containers/{id}/attachments

Attach a managed database to a container (composes its URL into a config var)

POST /api/v1/containers/{id}/attachments/database

Detach a managed database from a container

DELETE /api/v1/containers/{id}/attachments/database/{database_id}

Get a container's config vars (env vars)

GET /api/v1/containers/{id}/config-vars

Replace a container's config vars (persists + best-effort live apply via agent)

PUT /api/v1/containers/{id}/config-vars

Container terminal (WebSocket)

GET /api/v1/containers/{id}/console

Attach a disk to a container

POST /api/v1/containers/{id}/disks

Detach a disk from a container

DELETE /api/v1/containers/{id}/disks/{disk_id}

Container output (stdout/stderr)

GET /api/v1/containers/{id}/logs

Download a container's complete captured output: everything the host's size cap pushed into the archive, in order, followed by what is still on the host

GET /api/v1/containers/{id}/logs/archive

Get container metric history (chart series)

GET /api/v1/containers/{id}/metrics

Attach a NIC to a container

POST /api/v1/containers/{id}/nics

Detach a NIC from a container

DELETE /api/v1/containers/{id}/nics/{nic_id}

Move a container to another host

POST /api/v1/containers/{id}/reschedule

Start a container

POST /api/v1/containers/{id}/start

Stop a container

POST /api/v1/containers/{id}/stop